# Events API: Events

## GET /api/events/{event}

> Retrieve one specific event

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/events/{event}":{"get":{"tags":["Events API: Events"],"summary":"Retrieve one specific event","operationId":"retrieveEvent","parameters":[{"name":"event","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/events/{event}

> Check for the existence of one specific event

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/events/{event}":{"head":{"tags":["Events API: Events"],"summary":"Check for the existence of one specific event","operationId":"assertEvent","parameters":[{"name":"event","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/events/collect

> Collect the list of events that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectEvents":{"type":"object","properties":{"DistributionExpectedSince":{"type":"string","format":"date-time","nullable":true},"DistributionExpectedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedSince":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionShippedSince":{"type":"string","format":"date-time","nullable":true},"DistributionShippedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedSince":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartBefore":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedSince":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedBefore":{"type":"string","format":"date-time","nullable":true},"ExamStartedSince":{"type":"string","format":"date-time","nullable":true},"ExamStartedBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineSince":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedSince":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationStartSince":{"type":"string","format":"date-time","nullable":true},"RegistrationStartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"EventModel":{"type":"object","properties":{"AchievementId":{"type":"string","format":"uuid","nullable":true},"EventId":{"type":"string","format":"uuid"},"LearnerRegistrationGroupId":{"type":"string","format":"uuid","nullable":true},"MandatorySurveyFormId":{"type":"string","format":"uuid","nullable":true},"VenueCoordinatorId":{"type":"string","format":"uuid","nullable":true},"VenueLocationId":{"type":"string","format":"uuid","nullable":true},"VenueOfficeId":{"type":"string","format":"uuid","nullable":true},"AllowMultipleRegistrations":{"type":"boolean"},"AllowRegistrationWithLink":{"type":"boolean","nullable":true},"BillingCodeEnabled":{"type":"boolean"},"IntegrationWithholdDistribution":{"type":"boolean"},"IntegrationWithholdGrades":{"type":"boolean"},"PersonCodeIsRequired":{"type":"boolean"},"WaitlistEnabled":{"type":"boolean"},"AppointmentType":{"type":"string","nullable":true},"Content":{"type":"string","nullable":true},"DistributionCode":{"type":"string","nullable":true},"DistributionErrors":{"type":"string","nullable":true},"DistributionProcess":{"type":"string","nullable":true},"DistributionStatus":{"type":"string","nullable":true},"DurationUnit":{"type":"string","nullable":true},"EventBillingType":{"type":"string","nullable":true},"EventCalendarColor":{"type":"string","nullable":true},"EventClassCode":{"type":"string","nullable":true},"EventDescription":{"type":"string","nullable":true},"EventFormat":{"type":"string","nullable":true},"EventPublicationStatus":{"type":"string","nullable":true},"EventRequisitionStatus":{"type":"string","nullable":true},"EventSchedulingStatus":{"type":"string","nullable":true},"EventSource":{"type":"string","nullable":true},"EventSummary":{"type":"string","nullable":true},"EventTitle":{"type":"string","nullable":true},"EventType":{"type":"string","nullable":true},"ExamMaterialReturnShipmentCode":{"type":"string","nullable":true},"ExamMaterialReturnShipmentCondition":{"type":"string","nullable":true},"ExamType":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"PublicationErrors":{"type":"string","nullable":true},"RegistrationFields":{"type":"string","nullable":true},"VenueRoom":{"type":"string","nullable":true},"CapacityMaximum":{"type":"integer","format":"int32","nullable":true},"CapacityMinimum":{"type":"integer","format":"int32","nullable":true},"DurationQuantity":{"type":"integer","format":"int32","nullable":true},"EventNumber":{"type":"integer","format":"int32"},"ExamDurationInMinutes":{"type":"integer","format":"int32","nullable":true},"InvigilatorMinimum":{"type":"integer","format":"int32","nullable":true},"CreditHours":{"type":"number","format":"double","nullable":true},"DistributionExpected":{"type":"string","format":"date-time","nullable":true},"DistributionOrdered":{"type":"string","format":"date-time","nullable":true},"DistributionShipped":{"type":"string","format":"date-time","nullable":true},"DistributionTracked":{"type":"string","format":"date-time","nullable":true},"EventScheduledEnd":{"type":"string","format":"date-time","nullable":true},"EventScheduledStart":{"type":"string","format":"date-time"},"ExamMaterialReturnShipmentReceived":{"type":"string","format":"date-time","nullable":true},"ExamStarted":{"type":"string","format":"date-time","nullable":true},"LastChangeTime":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadline":{"type":"string","format":"date-time","nullable":true},"RegistrationLocked":{"type":"string","format":"date-time","nullable":true},"RegistrationStart":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/events/collect":{"post":{"tags":["Events API: Events"],"summary":"Collect the list of events that match specific criteria","operationId":"collectEvents","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventModel"}}}}}}}}}}
```

## POST /api/events/count

> Count the events that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountEvents":{"type":"object","properties":{"DistributionExpectedSince":{"type":"string","format":"date-time","nullable":true},"DistributionExpectedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedSince":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionShippedSince":{"type":"string","format":"date-time","nullable":true},"DistributionShippedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedSince":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartBefore":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedSince":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedBefore":{"type":"string","format":"date-time","nullable":true},"ExamStartedSince":{"type":"string","format":"date-time","nullable":true},"ExamStartedBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineSince":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedSince":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationStartSince":{"type":"string","format":"date-time","nullable":true},"RegistrationStartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/events/count":{"post":{"tags":["Events API: Events"],"summary":"Count the events that match specific criteria","operationId":"countEvents","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountEvents"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountEvents"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountEvents"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountEvents"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/events/download

> Download the list of events that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectEvents":{"type":"object","properties":{"DistributionExpectedSince":{"type":"string","format":"date-time","nullable":true},"DistributionExpectedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedSince":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionShippedSince":{"type":"string","format":"date-time","nullable":true},"DistributionShippedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedSince":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartBefore":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedSince":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedBefore":{"type":"string","format":"date-time","nullable":true},"ExamStartedSince":{"type":"string","format":"date-time","nullable":true},"ExamStartedBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineSince":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedSince":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationStartSince":{"type":"string","format":"date-time","nullable":true},"RegistrationStartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/events/download":{"post":{"tags":["Events API: Events"],"summary":"Download the list of events that match specific criteria","operationId":"downloadEvents","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectEvents"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/events/search

> Search for the list of events that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchEvents":{"type":"object","properties":{"DistributionExpectedSince":{"type":"string","format":"date-time","nullable":true},"DistributionExpectedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedSince":{"type":"string","format":"date-time","nullable":true},"DistributionOrderedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionShippedSince":{"type":"string","format":"date-time","nullable":true},"DistributionShippedBefore":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedSince":{"type":"string","format":"date-time","nullable":true},"DistributionTrackedBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledEndBefore":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartSince":{"type":"string","format":"date-time","nullable":true},"EventScheduledStartBefore":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedSince":{"type":"string","format":"date-time","nullable":true},"ExamMaterialReturnShipmentReceivedBefore":{"type":"string","format":"date-time","nullable":true},"ExamStartedSince":{"type":"string","format":"date-time","nullable":true},"ExamStartedBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineSince":{"type":"string","format":"date-time","nullable":true},"RegistrationDeadlineBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedSince":{"type":"string","format":"date-time","nullable":true},"RegistrationLockedBefore":{"type":"string","format":"date-time","nullable":true},"RegistrationStartSince":{"type":"string","format":"date-time","nullable":true},"RegistrationStartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"EventMatch":{"type":"object","properties":{"EventId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/events/search":{"post":{"tags":["Events API: Events"],"summary":"Search for the list of events that match specific criteria","operationId":"searchEvents","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchEvents"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchEvents"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchEvents"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchEvents"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/events-api-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
